/*
 *  global.h - auxiliary routines, mainly gp screen management and config
 *
 *  Copyright (C) 1997-2004 John Coppens (john@jcoppens.com)
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#define	prog_name	"cbrpager"
#define prog_version	"0.9.5"

#define FOLLOW_TIMER	150

enum {NAV_NW, NAV_NE, NAV_SE, NAV_SW};
enum {DIRM_LAST, DIRM_FIXED};
enum {CBR_FILE, CBZ_FILE};

typedef struct {
  char	lastbook[200],
	fixeddir[200];
  int	nextpage,
	prevpage,
	initwidth,
	initheight,
	nav_pos,
	nav_hor,
	dirmode,
	booktype;
} preferences;

extern preferences pref;
extern double	   zoom_factor;
extern int	   debug;

void		save_config(void);
void		load_config(void);
void		show_config(GtkWidget *ref);
void		parse_config(GtkWidget *ref);

void		initial_setup(void);
void		start_show(void);
void		show_page(int nr);
void		next_page(void);
void		previous_page(void);
void		goto_begin(void);
void		goto_end(void);
void		update_nav_position(void);
void		install_timer(void);
void		set_zoom_factor(double factor);
void		clean_up(void);
